@extends('template.'.\Setting::get('template', 'default').'.content.master')
@section('content')


    <section class="header">
        <img src="{{asset('images/header-stellenangebote.jpg')}}" style="width: 100%;" alt="">

    </section>

    <section id="ueber-uns">



        <div class="container">

            <h1>Unsere Stellenagebote</h1>



            @if (env('APP_WRITE', false))
                <br>
                <br>
                <br>
                <a href="" type="button" class="float-right" data-toggle="modal" data-target="#exampleModal"><i class="fal fa-plus"></i> Neues Angebot einreichen</a>
                <br>
                <br>
            @endif


            <div class="row">
                <div class="col-lg-2"></div>
                <div class="col-lg-7">
                    <div class="onesignal-customlink-container text-center"></div>

                </div>
                <div class="col-lg-3"></div>
            </div>

            @include('includes.create-offer')



            <br>
            @if (session()->has('success'))
                <div class="row justify-content-center">
                    <div class="col-lg-8">
                        @if(is_array(session()->get('success')))
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <h4 class="alert-heading">Nachricht wurde erfolgreich eingereicht!</h4>
                                Ihre Nachricht wurde erfolgreich an uns übermittelt und wir nach Prüfung hier veröffentlicht.
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        @else
                            {{ session()->get('success') }}
                        @endif
                    </div>
                </div>
            @endif

            @if (session()->has('error'))
                <div class="row justify-content-center">
                    <div class="col-lg-8">
                        @if(is_array(session()->get('error')))
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <h4 class="alert-heading">Es ist ein Fehler aufgetreten!</h4>
                                Beim übermitteln Ihrer Nachricht ist ein Fehler aufgetreten. Der Admin wurde informiert.
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        @else
                            {{ session()->get('error') }}
                        @endif
                    </div>
                </div>
            @endif
            <div class="row">
                @foreach($nachrichten as $nach)

                    <div class="col-lg-2">

                    </div>

                    <div class="col-lg-8">
                        <div class="card" id="angebot-{{$nach->id}}">
                            <img class="card-img-top" src="{{asset('template/images/news-banner.jpg')}}" alt="Card image cap">
                            <div class="card-body">
                                @if($nach->created_at->diffInHours(date('Y-m-d H:i:s')) < 1)
                                    <div class="progress" style="height: 30px;">
                                        <div class="progress-bar progress-bar-striped progress-bar-animated bg-warning" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                                            <span style="color: black; font-size: 16px;">{{ $nach->created_at->diffForHumans() }} veröffentlicht</span>
                                        </div>
                                    </div>
                                @endif

                                <br>

                                <h2 class="card-title">{{$nach->title}}</h2>
                                <h6 class="card-subtitle mb-2"><b>{{date('d.m.Y | H:i', strtotime($nach->created_at))}}</b></h6>




                                <p class="card-text">
                                    {!! $nach->nachrichten !!}
                                </p>
                                <br>
                                <br>


                                @if(sizeof($nach->files) > 0)
                                    <h5>Dateien zum Download</h5>
                                    <div class="row">


                                        @foreach ($nach->files as $file)
                                            <div class="col-lg-12">
                                                <a href="{{ asset($file->url)}}" class="btn btn-primary" onclick="ga('send', 'event', 'File Download', 'User', '{{$file->filename}}');" >
                                                    <i class="fas fa-download"></i>
                                                    {{$file->filename}}
                                                </a>
                                                <br>
                                                <br>
                                            </div>
                                        @endforeach
                                    </div>
                                @endif

                            </div>



                            @if($nach->contact_info)

                                <div class="card-footer" >
                                    <h5>Kontakt</h5>

                                    <p>
                                        {!! $nach->contact_info !!}
                                    </p>

                                </div>

                            @endif





                            <div style="display:none" id="comments_{{$nach->id}}">
                                <div class="card-footer bg-primary">
                                    <a  class="text-white"> <span class="badge badge-light">{{sizeof($nach->comments)}}</span> Kommentare</a>
                                    <button class="btn btn-dark btn-sm float-right" data-toggle="modal" data-target="#exampleModal2" onclick="setCommentId({{$nach->id}}),ga('send', 'event', 'Create Comment', 'Modal for Comment Creation', '{{$nach->title}}');">
                                        <i class="fas fa-comment"></i> Beitrag kommentieren
                                    </button>
                                </div>
                                <table>
                                    @foreach($nach->comments as $comment)
                                        <row>
                                            <div class="card-footer">
                                                <i class="fas fa-user" style="color: #007BFF"></i> {{$comment->name}}:
                                                <!-- For now taking that out, time is wrong... -->
                                                <span class="float-right" title="{{date('d.m.Y | H:i', strtotime($comment->created_at))}} Uhr">{{date('d.m.Y H:i', strtotime($comment->created_at))}} Uhr</span>

                                            </div>
                                            <div class="card-body comment-text">
                                                <p class="card-text">
                                                    {{$comment->comment}}
                                                </p>
                                            </div>
                                        </row>
                                    @endforeach
                                </table>
                            </div>

                        </div>
                    </div>
                    <div class="col-lg-2">

                    </div>
                @endforeach
            </div>

            <div class="modal fade" id="exampleModal2" role="dialog" aria-labelledby="new-comment" aria-hidden="true">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" id="exampleModalLabel">Neuen Kommentar veröffentlichen</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <form action="{{route('kommentar')}}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="modal-body">
                                <input type="hidden" name="comment_nach_id" id="comment_nach_id" />
                                <h5><i class="fal fa-user"></i> Ihre Kontaktdaten:</h5>
                                <div class="form-group">
                                    <label for="exampleFormControlInput1">Ihr Name</label>
                                    <input type="text" class="form-control" id="comment_name" placeholder="Vorname Nachname", name='comment_name' required="required">
                                </div>
                                <div class="form-group">
                                    <label for="exampleFormControlInput1">E-Mail Adresse</label>
                                    <input type="email" class="form-control" id="comment_email" placeholder="name@example.com" name="comment_email" required="required">
                                </div>
                                <br>
                                <hr>
                                <h5><i class="fal fa-newspaper"></i> Ihre zu veröffentliche Nachricht:</h5>
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1">Ihr Nachrichtentext</label>
                                </div>
                                <textarea class="form-control" id="exampleFormControlTextarea1" rows="3" placeholder="Nachrichten Text" name="comment_text" required="required"></textarea>
                                <br>
                            </div>
                            <div class="modal-footer">
                                <div class="row">
                                    <div class="col-lg-8">
                                        <i>Ihr Kommentar wird sofort veröffentlicht. Eine Bearbeitung oder Löschung kann durch den VDFU erfolgen.
                                        </i>
                                    </div>
                                    <div class="col-lg-4">
                                        <button type="submit" class="btn btn-primary" onclick="ga('send', 'event', 'Create Comment', 'New Comment submitted', '{{$nach->title}}');"> <i class="fal fa-save"></i> Kommentar speichern</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

    </section>



    <section class="teaser">
        <img src="{{asset('template/images/midle-stellenangebote.jpg')}}" alt="" style="width:100%">
    </section>
    <section class="full__image">
        <div class="container">
            <div class="row">
                <div class="col-md-2"></div>
                <div class="col-md-8">
                    <div class="middle__box">
                        <div class="middle__box--title">
                            <h2>
                                Attraktive Zusatzleistungen<br/> des Hauses für unsere Mitarbeiter
                            </h2>
                        </div>
                        <div class="middle__box--content">
                            <p>"Trotz nicht gerade einfacher Rahmenbedingungen ist es möglich, im Gesundheitswesen mitarbeiter- und familienfreundliche Arbeitsplätze zu schaffen.</p>
                            <p class="content--title">
                                FAMILIE UND BERUF
                            </p>
                            <ul>
                                <li>
                                    Flexibel gestaltbare tägliche Arbeitszeiten und die Chance, den gesamten Arbeitsaumfang
                                    <br/>(Vollzeit oder Teilzeit) ohne berufliche Nachteile den familiären Anforderungen<br/>entsprechend anzupassen.
                                </li>
                                <li>
                                    Allen Mitarbeitern mit schulpflichtigen Kindern wird der Jahresurlaub grundsätzlich <br/>während der Sommerferien gewährt.
                                </li>
                                <li>
                                    In besonderen Bedarfsfällen können Kinder auch in die Einrichtung mitgebracht und <br/>betreut werden.
                                </li>
                            </ul>
                            <p class="content--title">
                                INDDIVIDUELLER DIENSTPLAN
                            </p>
                            <ul>
                                <li>
                                    In den Spät- und Nachtschichten wird auf die Wünsche und Bedürfnisse der Mitarbeiter <br/>eingegangen.
                                </li>
                                <li>
                                    Praktikums- und Ferienarbeitsplätze werden für die Kinder der Mitarbeiter angeboten.
                                </li>
                            </ul>
                            <p class="content--title">
                                WEITERBILDUNG
                            </p>
                            <ul>
                                <li>
                                    Fort- und Weiterbildungsmaßnahmen können vielfach berufsbegleitend wahrgenommen <br/>werden, wobei immer die persönliche Situation der Mitarbeiter berücksichtigt wird.
                                </li>
                                <li>
                                    Weitere Unterstützung wird auch hinsichtlich der Kostenübernahme von<br/>Fortbildungsmaßnahmen gewährleistet.
                                </li>
                            </ul>

                            <p class="content--title">
                                KLIMA IM BETRIEB
                            </p>
                            <ul>
                                <li>
                                    Die Wertschätzung der Mitarbeiter als Personen hat eine große Bedeutung. <br> Regelmäßige Treffen, Kurse oder Veranstaltungen helfen das Betriebsklima offen und <br/>angenehm für alle zu gestalten.
                                </li>
                                <li>
                                    Ganz wichtig sind gemeinsame Feste mit den Mitarbeitern und deren Familien.
                                </li>
                            </ul>
                            <p class="content--title">
                                ZUSATZLEISTUNGEN
                            </p>
                            <p>
                                Unsere Mitarbeit"er erhalten zu besonderen Jubiläen und bestandenen Prüfungen immer in Anerkennung ein Präsent. Der monatliche Tankgutschein und der Gutschein zum Geburtstag sind ein zusätzliches "Bonbon".
                            </p>
                        </div>

                    </div>
                </div>
                <div class="col-md-2"></div>
            </div>
        </div>
    </section>





    @stop
    @section('scripts')
    <script src="https://cdn.tiny.cloud/1/0015awrvvurgnwz3e0uid83chhzb7lnbi6wyn4ukk7b4lh9k/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
    <script src="{{ asset('js/tiny-de.js') }}"></script>
    <script src="{{ asset('js/dropzone.min.js') }}"></script>
    <script>
        $(document).on('focusin', function(e) {
            if ($(e.target).closest(".tox").length) {
                e.stopImmediatePropagation();
            }
        });

        tinymce.init({
            selector: '#exampleFormControlTextarea1',
            plugins: 'advlist link image lists',
            toolbar: 'undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | outdent indent | link | unlink | image',
            height: '250',
            directionality : 'de',
            language : 'de',
            setup: function (editor) {
                editor.on('change', function (e) {
                    editor.save();
                });
            }
        });

        tinymce.init({
            selector: '#exampleFormControlTextarea2',
            plugins: 'advlist link image lists',
            toolbar: 'undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | outdent indent | link | unlink | image',
            height: '250',
            directionality : 'de',
            language : 'de',
            setup: function (editor) {
                editor.on('change', function (e) {
                    editor.save();
                });
            }
        });

        var uploadedDocumentMap = {}
        myDropzone = Dropzone.options.imageDropzone = {
            url: '{{ route('addFile') }}',
            maxFilesize: 2, // MB
            acceptedFiles: 'image/*,application/pdf,.doc,.docx,.xls,.xlsx',
            addRemoveLinks: true,
            headers: {
            'X-CSRF-TOKEN': "{{ csrf_token() }}"
            },
            success: function (file, response) {
            $('form').append('<input type="hidden" name="files[]" value="' + response.name + '|'+ response.original_name +'">')
            uploadedDocumentMap[file.name] = response.name
            },
            removedfile: function (file) {
            file.previewElement.remove()
            var name = ''
            if (typeof file.file_name !== 'undefined') {
                name = file.file_name
            } else {
                name = uploadedDocumentMap[file.name]
            }
            $('form').find('input[name="files[]"][value="' + name + '"]').remove()
            }
        }
    </script>
    <script>
      function setCommentId(id) {
        document.getElementById('comment_nach_id').value = id
      }

      function showComments(event, id) {
        event.preventDefault();
        document.getElementById('comment_button_' + id).style.display = 'none';
        document.getElementById('comments_' + id).style.display = "";

        return false;
      }

      function news() {
        window.location.href = "{{route('welcome')}}"
      }

    </script>
@stop
